function init_vote_forms(get_prevote_forms_url)
{
    $(function()
    {
        function show_modal(title, body)
        {
            var modal_alert = $('<div class="modal"><div class="modal-header">' +
                    '<button class="close" data-dismiss="modal">×</button>' +
                    '<h3>' + title + '</h3></div>' +
                    '<div class="modal-body"></div>' +
                    '<div class="modal-footer"><a href="#" data-dismiss="modal" class="btn btn-primary">Закрыть</a></div>' +
                '</div>');
            $('.modal-body', modal_alert).html(body);
            modal_alert.modal().on('hidden', function()
            {
                modal_alert.remove();
            });
            return modal_alert;
        }

        function show_error(message)
        {
            show_modal('Ошибка', '<p>' + message + '</p>');
        }

        var servers = [];
        $('.vote-form').each(function(i, v)
        {
            var id = $(v).attr('id').replace('svf-', '');
            servers.push(id);
        });
        servers = servers.join('-');

        $.getJSON(get_prevote_forms_url, {s: servers})
        .done(function(forms)
        {
            $.each(forms, function(i, html)
            {
                $('#svf-' + i).replaceWith(html);
            });

            $('form.vote .up, form.vote .down').click(function()
            {
                var prevote_form = $(this).parent('form');
                var v = '1';
                if ($(this).hasClass('down'))
                    v = '-1';
                $('input[name=score]', prevote_form).val(v);
                prevote_form.ajaxSubmit(
                {
                    //dataType: 'json',
                    success: function(data, textStatus, jqXHR)
                    {
                        var vote_form = $(data.form);
                        var modal = show_modal(data.title, vote_form);
                        $('#id_captcha_1').focus();
                        $('input[type=submit]', vote_form).click(function()
                        {
                            vote_form.ajaxSubmit(
                            {
                                //dataType: 'json',
                                success: function(data, textStatus, jqXHR)
                                {
                                    modal.modal('hide');
                                    if (data.errors)
                                        show_error(data.errors);
                                    else
                                        $('.score', prevote_form).html(data.score_total);
                                },
                                error: function(jqXHR, textStatus, errorThrown)
                                {
                                    modal.modal('hide');
                                    show_error('Можно голосовать только один раз в день');
                                }
                            });
                            return false;
                        });
                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        show_error('Можно голосовать только один раз в день');
                    }
                });
                return false;
            });
        });
    });
}


function init_coupon_forms(get_coupon_forms_url)
{
    $(function()
    {
        var servers = [];
        $('.coupons-form').each(function(i, v)
        {
            var id = $(v).attr('id').replace('scf-', '');
            servers.push(id);
        });
        servers = servers.join('-');

        $.getJSON(get_coupon_forms_url, {s: servers})
        .done(function(forms)
        {
            $.each(forms, function(i, v)
            {
                $('#scf-' + i).replaceWith(v);
            });
        });
    });
}
